Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

## Class CreditorReferenceInformationSEPA

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_002_02.CreditorReferenceInformationSEPA

    public class CreditorReferenceInformationSEPA
    extends java.lang.Object

Java class for CreditorReferenceInformationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditorReferenceInformationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CdtrRefTp" type="{urn:swift:xsd:$pain.002.002.02}CreditorReferenceTypeSEPA" minOccurs="0"/>
             <element name="CdtrRef" type="{urn:swift:xsd:$pain.002.002.02}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `cdtrRef`
`protected CreditorReferenceTypeSEPA` `cdtrRefTp`

### Constructor Summary

Constructors
`CreditorReferenceInformationSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCdtrRef()` Gets the value of the cdtrRef property.
`CreditorReferenceTypeSEPA` `getCdtrRefTp()` Gets the value of the cdtrRefTp property.
`void` `setCdtrRef​(java.lang.String value)` Sets the value of the cdtrRef property.
`void` `setCdtrRefTp​(CreditorReferenceTypeSEPA value)` Sets the value of the cdtrRefTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cdtrRefTp

    protected CreditorReferenceTypeSEPA cdtrRefTp

#### cdtrRef

    protected java.lang.String cdtrRef

### Constructor Detail

#### CreditorReferenceInformationSEPA

    public CreditorReferenceInformationSEPA()

### Method Detail

#### getCdtrRefTp

    public CreditorReferenceTypeSEPA getCdtrRefTp()

Gets the value of the cdtrRefTp property.

Returns:
  possible object is `CreditorReferenceTypeSEPA`

#### setCdtrRefTp

    public void setCdtrRefTp​(CreditorReferenceTypeSEPA value)

Sets the value of the cdtrRefTp property.

Parameters:
  `value` - allowed object is `CreditorReferenceTypeSEPA`

#### getCdtrRef

    public java.lang.String getCdtrRef()

Gets the value of the cdtrRef property.

Returns:
  possible object is `String`

#### setCdtrRef

    public void setCdtrRef​(java.lang.String value)

Sets the value of the cdtrRef property.

Parameters:
  `value` - allowed object is `String`